API referenceEndpoints
Cancel run
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/sources/inbound/http.go`.
POST
/v1/sources/{id}/versions/{version}/preparation-jobs/{job}/cancelRequires an authenticated tenant principal. Generated from the production route registered in internal/features/sources/inbound/http.go.
Authorization
bearerAuth AuthorizationBearer <token>
Engine-issued API key or tenant-signed JWT.
In: header
Path Parameters
id*string
Format
uuidversion*string
job*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/preparation-jobs/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{}